#ifdef DESKTOP_VERSION
#include <qprocess.h>
#include "qpkgbase.h"
#else
#include <qtopia/qprocess.h>
#include "qpkgbase-qtopia.h"
#endif

class qpkg: public qpkgBase
{
    Q_OBJECT
public:
    qpkg( QWidget *parent = 0, const char *name = 0 );
    ~qpkg();
    
private:
    void update_storages();
    void update_storage( QString disk);
    void update_iconf();
    void install_ipkg();
    void netinstall_ipkg();
    void remove_ipkg();
    void reload_ipkg();
    void go_ipkg();
    void add_feed();
    void remove_feed();
    //void use_feed(const QString &str);
    void edit_feed();
    void proxy_apply();
public slots:
    void readFromStdout();
    void readFromStderr();
    void ipkgFinished();
private:
    bool ipkgRunning;
    QProcess *proc;
    void updateListView(QString path);
    void updateNewListView();
    bool checkInst(QString &str);
};
